Package be.ehealth.business.mycarenetdomaincommons.builders.util

# Class GeneralRoutingBuilder

java.lang.Object
be.ehealth.business.mycarenetdomaincommons.builders.util.GeneralRoutingBuilder

public final class GeneralRoutingBuilder extends Object
builds the `Routing` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GeneralRoutingBuilder`
  `addCareReceiver(CareReceiverId careReceiver)`
  `GeneralRoutingBuilder`
  `addCareReceiverForMutualityIdAndMutuality(String mutualityId, String mutuality)`
  `GeneralRoutingBuilder`
  `addCareReceiverForSsin(String ssin)`
  `GeneralRoutingBuilder`
  `addPeriod(Instant begin, Instant end)`
  `GeneralRoutingBuilder`
  `addReferenceDate(Instant referenceDate)`
  `Routing`
  `build()`
  `static GeneralRoutingBuilder`
  `create()`
  `static GeneralRoutingBuilder`
  `createFullForNissAndCurrentReferenceDate(String ssin)`
  `GeneralRoutingBuilder`
  `disableValidation()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### disableValidation

    public GeneralRoutingBuilder disableValidation()

  - ### addPeriod

    public GeneralRoutingBuilder addPeriod(Instant begin, Instant end)

  - ### addReferenceDate

    public GeneralRoutingBuilder addReferenceDate(Instant referenceDate)

  - ### addCareReceiverForSsin

    public GeneralRoutingBuilder addCareReceiverForSsin(String ssin)

  - ### addCareReceiverForMutualityIdAndMutuality

    public GeneralRoutingBuilder addCareReceiverForMutualityIdAndMutuality(String mutualityId, String mutuality)

  - ### addCareReceiver

    public GeneralRoutingBuilder addCareReceiver(CareReceiverId careReceiver)

  - ### create

    public static GeneralRoutingBuilder create()

  - ### createFullForNissAndCurrentReferenceDate

    public static GeneralRoutingBuilder createFullForNissAndCurrentReferenceDate(String ssin)

  - ### build

    public Routing build() throws ConnectorValidationException
    Throws:
      `ConnectorValidationException`